Subject: bug#56637: 28.1.90; [FR] Allow a way around font-lock-mode being unconditionally disabled in " *hidden*" buffers

From: Ihor Radchenko <[email-masked]>
Date: Sun, 24 Jul 2022 14:47:17 +0800

Stefan Monnier <[email-masked]> writes:

>> Apart from the reddit thread I mentioned, where the problem comes from
>> web-mode directly setting font-lock-face,
>
> I didn't see a clear recipe there, tho.  Setting the `font-lock-face`
> directly is normal, so it's not clear that it's a problem on the side of
> `web-mode`, really.

When font-lock-mode is active, char-property-alias-alist contains
'(face font-lock-face). Thus, 'face text property is inheriting the
value of the 'font-lock-face property. It is not the case when
font-lock-mode is disabled. Unless we can forever rely on the
implementation detail that 'font-lock-face is always equivalent to the
'face property, there is no easy way to tell which faces will be applied
to the fontified buffer with enabled font-lock-mode.

Best,
Ihor

On Fri, Jul 22, 2022 at 2:39 AM Stefan Monnier <[email-masked]>
wrote:

> > Apart from the reddit thread I mentioned, where the problem comes from
> > web-mode directly setting font-lock-face,
>
> I didn't see a clear recipe there, tho.  Setting the `font-lock-face`
> directly is normal, so it's not clear that it's a problem on the side of
> `web-mode`, really.
>
>
>         Stefan
>
>